class CloudflareWrangler < Formula
  desc "CLI tool for Cloudflare Workers"
  homepage "https://github.com/cloudflare/wrangler-legacy"
  url "https://github.com/cloudflare/wrangler-legacy/archive/v1.21.0.tar.gz"
  sha256 "b3fb6b896c20657625777fee2a4199d24c9fc789f3979e950afc50c7cffb4620"
  license any_of: ["Apache-2.0", "MIT"]
  head "https://github.com/cloudflare/wrangler-legacy.git", branch: "master"

  # Wrangler v1 is deprecated as of 2023-02-16 but will receive support for
  # critical updates until 2023-08-01, at which point all support for v1 will
  # be sunsetted.
  disable! date: "2023-08-01", because: :unsupported

  depends_on "rust" => :build

  uses_from_macos "zlib"

  conflicts_with "cloudflare-wrangler2", because: "both install `wrangler` binaries"

  def install
    system "cargo", "install", *std_cargo_args
  end

  test do
    output = shell_output("CF_API_TOKEN=AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA #{bin}/wrangler whoami 2>&1", 1)
    assert_match "Failed to retrieve information about the email associated with", output
  end
end
